mount_vfs_model_path	(current_mod_path.."/Shapes")
mount_vfs_liveries_path (current_mod_path.."/Liveries/")

local function add_structure(f)
	if(f) then
		f.shape_table_data = 
		{
			{
				file  	    = f.ShapeName,
				life		= f.Life,
				username    = f.Name,
				desrt       = f.ShapeNameDestr or "self",
			    classname 	= f.classname   or "lLandVehicle",
				positioning = f.positioning or "BYNORMAL" -- {"BYNORMAL", "ONLYHEIGTH", "BY_XZ", "ADD_HEIGTH"}
			}
		}
		if f.ShapeNameDestr then
			f.shape_table_data[#f.shape_table_data + 1] = 
			{
				name  = f.ShapeName,
				file  = f.ShapeNameDestr,	
			}
		end
		
		
		f.mapclasskey = "P0091000076";
		f.attribute = {wsType_Static, wsType_Standing}
		
		add_surface_unit(f)
		GT = nil;
	else
		error("Can't add structure")
	end;
end

--Warning Aircraft Armed Sign 

add_structure({
Name 		 =  "WarningSign",
DisplayName  = _("WarningSign"),
ShapeName	 =   "WarningSign_lod00.EDM",
Life		 =  10000000,
Rate		 =  0,
category     =  'Fortification',
SeaObject    = 	false,
isPutToWater =  false,
numParking   =  0,
})

--Warning Aircraft Armed Sign small and big panels

add_structure({
Name 		 =  "WarningSignSB",
DisplayName  = _("WarningSignSB"),
ShapeName	 =   "WarningSignSB_lod00.EDM",
Life		 =  10000000,
Rate		 =  0,
category     =  'Fortification',
SeaObject    = 	false,
isPutToWater =  false,
numParking   =  0,
})

--Warning Aircraft Armed Sign small

add_structure({
Name 		 =  "WarningSignS",
DisplayName  = _("WarningSignS"),
ShapeName	 =   "WarningSignS_lod00.EDM",
Life		 =  10000000,
Rate		 =  0,
category     =  'Fortification',
SeaObject    = 	false,
isPutToWater =  false,
numParking   =  0,
})

--Warning Aircraft Armed Sign big panels

add_structure({
Name 		 =  "WarningSignB",
DisplayName  = _("WarningSignB"),
ShapeName	 =   "WarningSignB_lod00.EDM",
Life		 =  10000000,
Rate		 =  0,
category     =  'Fortification',
SeaObject    = 	false,
isPutToWater =  false,
numParking   =  0,
})